clang 10.0.0git

Public Types | Public Member Functions | List of all members
clang::driver::OffloadAction::DeviceDependences Class Referencefinal

Type used to communicate device actions. More...

`#include "clang/Driver/Action.h"`

## Public Types
using | ToolChainList = SmallVector< const ToolChain *, 3 >
using | BoundArchList = SmallVector< const char *, 3 >
using | OffloadKindList = SmallVector< OffloadKind, 3 >

## Public Member Functions
void | add (Action &A, const ToolChain &TC, const char *BoundArch, OffloadKind OKind)
| Add a action along with the associated toolchain, bound arch, and offload kind. More...
const ActionList & | getActions () const
| Get each of the individual arrays. More...
const ToolChainList & | getToolChains () const
const BoundArchList & | getBoundArchs () const
const OffloadKindList & | getOffloadKinds () const

## Detailed Description

Type used to communicate device actions.

It associates bound architecture, toolchain, and offload kind to each action.

Definition at line 255 of file Action.h.

## Member Typedef Documentation

## ◆ BoundArchList

using clang::driver::OffloadAction::DeviceDependences::BoundArchList = SmallVector<const char *, 3>

Definition at line 258 of file Action.h.

## ◆ OffloadKindList

using clang::driver::OffloadAction::DeviceDependences::OffloadKindList = SmallVector<OffloadKind, 3>

Definition at line 259 of file Action.h.

## ◆ ToolChainList

using clang::driver::OffloadAction::DeviceDependences::ToolChainList = SmallVector<const ToolChain *, 3>

Definition at line 257 of file Action.h.

## Member Function Documentation

## ◆ add()

void OffloadAction::DeviceDependences::add | ( | Action & | A,
|  | const ToolChain & | TC,
|  | const char * | BoundArch,
|  | OffloadKind | OKind
| ) |  |

Add a action along with the associated toolchain, bound arch, and offload kind.

Definition at line 290 of file Action.cpp.

Referenced by clang::driver::Driver::BuildInputs().

## ◆ getActions()

const ActionList& clang::driver::OffloadAction::DeviceDependences::getActions | ( |  | ) | const
| inline

Get each of the individual arrays.

Definition at line 286 of file Action.h.

Referenced by clang::driver::Driver::BuildInputs(), and clang::driver::OffloadAction::OffloadAction().

## ◆ getBoundArchs()

const BoundArchList& clang::driver::OffloadAction::DeviceDependences::getBoundArchs | ( |  | ) | const
| inline

Definition at line 288 of file Action.h.

Referenced by clang::driver::OffloadAction::OffloadAction().

## ◆ getOffloadKinds()

const OffloadKindList& clang::driver::OffloadAction::DeviceDependences::getOffloadKinds | ( |  | ) | const
| inline

Definition at line 289 of file Action.h.

Referenced by clang::driver::OffloadAction::HostDependence::HostDependence(), and clang::driver::OffloadAction::OffloadAction().

## ◆ getToolChains()

const ToolChainList& clang::driver::OffloadAction::DeviceDependences::getToolChains | ( |  | ) | const
| inline

Definition at line 287 of file Action.h.

The documentation for this class was generated from the following files:

- include/clang/Driver/Action.h
- lib/Driver/Action.cpp